// creator  : weidu.exe (version 23100)
// argument : SAREV25P.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SAREV25P~

IF ~Global("SarevokAttacked","LOCALS",1)
AreaCheck("AR4500")~ THEN BEGIN 0 // from:
  SAY #64883 /* ~You turn your hand against me?  I should have expected as much.  I would do the same.  I know how to leave this place on my own, however... may we not meet again, dear <PRO_BROTHERSISTER>.~ */
  IF ~~ THEN DO ~ForceSpell(Myself,DRYAD_TELEPORT)~ EXIT
END

IF ~Global("SarevokAttacked","LOCALS",1)
!AreaCheck("AR4500")~ THEN BEGIN 1 // from:
  SAY #64884 /* ~So, this is the extent of the mortality you are allowing me.  As you wish... murder me once again... if you can.~ [SAREVO88] */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~Global("KickedOut","LOCALS",0)~ THEN BEGIN 2 // from:
  SAY #64885 /* ~So what is it to be, then?  Am I to be replaced by some quivering, fawning lackey?  Bah!  Shall I wait here for you or not?~ [SAREVO89] */
  IF ~~ THEN REPLY #64887 /* ~Never mind.  Rejoin the party... my mistake.~ */ DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT
  IF ~AreaCheck("AR4500")~ THEN REPLY #64888 /* ~Yes, wait here, Sarevok.~ */ DO ~SetGlobal("KickedOut","LOCALS",1)
MoveToPointNoInterrupt([2460.1744])
Face(0)
~ EXIT
  IF ~!AreaCheck("AR4500")
!AreaCheck("AR4000")
!AreaCheck("AR6200")~ THEN REPLY #64889 /* ~No, return to the pocket plane.  Wait for me there.~ */ DO ~SetGlobal("KickedOut","LOCALS",1)
CreateVisualEffectObject("SPDIMNDR",Myself)
Wait(2)
MoveBetweenAreas("AR4500",[2460.1744],0)
~ EXIT
  IF ~!AreaCheck("AR4500")
!AreaCheck("AR4000")
!AreaCheck("AR6200")~ THEN REPLY #70996 /* ~Yes, wait here, Sarevok.~ */ DO ~SetGlobal("KickedOut","LOCALS",1)~ EXIT
END

IF ~Global("KickedOut","LOCALS",1)~ THEN BEGIN 3 // from:
  SAY #64892 /* ~Do you require my sword again?  It is ready to kill at your command.~ */
  IF ~~ THEN REPLY #64893 /* ~Yes, join with me now.~ */ DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT
  IF ~~ THEN REPLY #64894 /* ~No, continue waiting for awhile.~ */ EXIT
END
